using System;

internal sealed class Delegate500 : MulticastDelegate
{
	public extern string Invoke(ref double double_0, string string_0, IFormatProvider iformatProvider_0);

	public static string smethod_0(ref double double_0, string string_0, IFormatProvider iformatProvider_0, Delegate500 delegate500_1)
	{
		return delegate500_1(ref double_0, string_0, iformatProvider_0);
	}

	public extern Delegate500(object object_0, IntPtr intptr_0);

	static Delegate500()
	{
		Class10.smethod_13(typeof(Delegate500).TypeHandle);
	}

	internal static Delegate500 delegate500_0;
}
